Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# line2d.h File Reference

`#include "irrTypes.h"`
`#include "vector2d.h"`

Go to the source code of this file.

## Classes

class | irr::core::line2d< T >
| 2D line between two points with intersection methods. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

typedef line2d< f32 > | irr::core::line2df
| Typedef for an f32 line.
typedef line2d< s32 > | irr::core::line2di
| Typedef for an integer line.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:59 2010 by Doxygen (1.6.2)